IBuildArgumentsInfo (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.project.IBuildArgumentsInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder.project
Interface IBuildArgumentsInfo

    public interface IBuildArgumentsInfo

IBuildArgumentsInfo represents one instance of configuration data for the Arguments tab.

See Also:
  `ICarbideBuildConfiguration`

Method Summary
`java.lang.String` | `getAbldBuildArgs()` Get the arguments to pass to abld build
`java.lang.String` | `getAbldCleanArgs()` Get the arguments to pass to abld clean
`java.lang.String` | `getAbldExportArgs()` Get the arguments to pass to abld export
`java.lang.String` | `getAbldFinalArgs()` Get the arguments to pass to abld final
`java.lang.String` | `getAbldFreezeArgs()` Get the arguments to pass to abld freeze
`java.lang.String` | `getAbldLibraryArgs()` Get the arguments to pass to abld library
`java.lang.String` | `getAbldMakefileArgs()` Get the arguments to pass to abld makefile
`java.lang.String` | `getAbldResourceArgs()` Get the arguments to pass to abld resource
`java.lang.String` | `getAbldTargetArgs()` Get the arguments to pass to abld target
`java.lang.String` | `getBldmakeBldFilesArgs()` Get the arguments to pass to bldmake bldfiles
`java.lang.String` | `getBldmakeCleanArgs()` Get the arguments to pass to bldmake clean

Method Detail

### getBldmakeBldFilesArgs

    java.lang.String getBldmakeBldFilesArgs()

  Get the arguments to pass to bldmake bldfiles

  Returns:
    string of arguments which may be empty

### getBldmakeCleanArgs

    java.lang.String getBldmakeCleanArgs()

  Get the arguments to pass to bldmake clean

  Returns:
    string of arguments which may be empty

### getAbldBuildArgs

    java.lang.String getAbldBuildArgs()

  Get the arguments to pass to abld build

  Returns:
    string of arguments which may be empty

### getAbldExportArgs

    java.lang.String getAbldExportArgs()

  Get the arguments to pass to abld export

  Returns:
    string of arguments which may be empty

### getAbldMakefileArgs

    java.lang.String getAbldMakefileArgs()

  Get the arguments to pass to abld makefile

  Returns:
    string of arguments which may be empty

### getAbldLibraryArgs

    java.lang.String getAbldLibraryArgs()

  Get the arguments to pass to abld library

  Returns:
    string of arguments which may be empty

### getAbldResourceArgs

    java.lang.String getAbldResourceArgs()

  Get the arguments to pass to abld resource

  Returns:
    string of arguments which may be empty

### getAbldTargetArgs

    java.lang.String getAbldTargetArgs()

  Get the arguments to pass to abld target

  Returns:
    string of arguments which may be empty

### getAbldFinalArgs

    java.lang.String getAbldFinalArgs()

  Get the arguments to pass to abld final

  Returns:
    string of arguments which may be empty

### getAbldCleanArgs

    java.lang.String getAbldCleanArgs()

  Get the arguments to pass to abld clean

  Returns:
    string of arguments which may be empty

### getAbldFreezeArgs

    java.lang.String getAbldFreezeArgs()

  Get the arguments to pass to abld freeze

  Returns:
    string of arguments which may be empty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD